Bug 465616 - Cannot sign text in gedit
Cannot sign text in gedit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 13:07 EDT by Peter Janakiev
Modified: 2014-01-21 18:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Janakiev 2008-10-04 13:07:07 EDT
Description of problem:
When I try to sign/decrypt text in Gedit with my key it states "Bad passphrase".
It never asks me for my pass phrase it just gives me the option to select key
to use.
I still can successfully encrypt text with other's public keys.



Version-Release number of selected component (if applicable):
seahorse-2.22.2-1.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Start Gedit and type some text
2. From the menu select Sign
3. Select the key to use and press ok in the dialog
  
Actual results:
Error message - bad passphrase


Expected results:
Successfully signing the text

Additional info:
This bug was submitted for Gedit but was advised for seahorse. (bug#460420)
Comment 1 James 2008-10-21 07:03:47 EDT
I see this too, but I can neither encrypt nor sign and I was not prompted for my passphrase.
Comment 2 Stephan Sachse 2008-11-29 17:29:29 EST
same problem in fedora 10...

+ nautilus can not decrypt files
Comment 3 James 2008-11-29 17:43:06 EST
This seems fixed for me in F9 with gedit-2.22.3-1.fc9.x86_64, gedit-plugins-2.22.3-2.fc9.x86_64 but it doesn't use seahorse to cache the passphrase and prompts each time. I still see it in F10, though.
Comment 4 Daniel Rindt 2008-12-08 19:51:08 EST
after installing seahorse i cant use the sign encrypt because gedit doesnt provide it. the same is with nautilus integration.

i have no clue atm, but anyway i am using f10 not f9.. but someone know about the problem..?

Thanks
Daniel
Comment 5 Daniel Rindt 2008-12-08 20:10:02 EST
(In reply to comment #4)
> i have no clue atm, but anyway i am using f10 not f9.. but someone know about
> the problem..?
i doesn't recognized that in f10 now this features are provided with the package called 'seahorse-plugins'. 

When iam run seahorse-daemon -d and want uncrypt a textfile then i see on the shell iam spawning the daemon the passphrase dialog in text mode. seems that something goes really wrong.
Comment 6 Stephan Sachse 2008-12-09 04:46:53 EST
some one must change the version to 10

after installing seahorse-plugins-2.24.1-2.fc10.i386 and relogin to the desktop encrypt via nautilus works fine. Decrypt and verify in nautilus works after running update-desktop-database as root.

but now, after verify the seahors-daemon crashs.

the desktop notify is also broken. there is no signer name in the message
Comment 7 James 2009-03-29 08:07:33 EDT
Has there been any progress on this? At the moment the only thing that doesn't work for me is gedit cannot used a cached passphrase and keeps prompting for it.
Comment 8 Bug Zapper 2009-06-09 22:53:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 10:39:48 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Stephan Sachse 2009-07-14 16:40:57 EDT
works fine in f11

Note You need to log in before you can comment on or make changes to this bug.